### Signal

# Ide PipelineStage::query

#### Declaration

    void
    query (
      IdePipelineStage* self,
      IdePipeline* pipeline,
      gpointer targets,
      GCancellable* cancellable,
      gpointer user_data
    )

#### Description

The `IdePipelineStage::query` signal is emitted to request that the build stage update its completed stage from any external resources.

This can be useful if you want to use an existing build stage instances and use a signal to pause forward progress until an external system has been checked.

The targets that the user would like to ensure are built are provided as `targets`. Some `IdePipelineStage` may use this to reduce the amount of work they perform

For example, in a signal handler, you may call `ide_pipeline_stage_pause()` and perform an external operation. Forward progress of the stage will be paused until a matching number of `ide_pipeline_stage_unpause()` calls have been made.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
Available since: | 3.32

#### Parameters

`pipeline` | `IdePipeline`
| An `IdePipeline`.
| The data is owned by the caller of the function.
`targets` | An array of `None`
| An array of `IdeBuildTarget` or `NULL`.
| The argument can be `NULL`.
`cancellable` | `GCancellable`
| A `GCancellable` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.